## xingmux xingmux |

## Types and Values

struct | GstXingMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstXingMux

## Description

xingmux adds a Xing header to MP3 files. This contains information about the duration and size of the file and a seek table and is very useful for getting an almost correct duration and better seeking on VBR MP3 files.

This element will remove any existing Xing, LAME or VBRI headers from the beginning of the file.

### Example launch line

    1
    2
    3
    gst-launch audiotestsrc num-buffers=1000 ! audioconvert ! lamemp3enc ! xingmux ! filesink location=test.mp3
    gst-launch filesrc location=test.mp3 ! xingmux ! filesink location=test2.mp3
    gst-launch filesrc location=test.mp3 ! mp3parse ! xingmux ! filesink location=test2.mp3

## Synopsis

### Element Information

plugin | xingmux
author | Christophe Fergeau <teuf@gnome.org>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ]

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ]

## Functions

## Types and Values

### struct GstXingMux

    struct GstXingMux;

Opaque data structure.